Wireshark-dev: Re: [Wireshark-dev] new warning :/usr/include/gtk-3.0/gtk/gtkwidget.h:787:58: er
From: Bálint Réczey <[email protected]>
Date: Sun, 9 Mar 2014 15:43:59 +0100
2014-03-09 10:43 GMT+01:00 Alexis La Goutte <[email protected]>:
> On Sat, Mar 8, 2014 at 4:21 PM, Toralf Förster <[email protected]> wrote:
>> -----BEGIN PGP SIGNED MESSAGE-----
>> Hash: SHA256
>>
>> Switching from gtk-3.8.7 to gtp-3.10.7 I do get with current wireshark git tree at a stable 32 bit Gentoo Linux :
>>
>> make[2]: Entering directory `/home/tfoerste/devel/wireshark/ui/gtk'
>>   CC       libgtkui_a-about_dlg.o
>> In file included from /usr/include/gtk-3.0/gtk/gtkapplication.h:27:0,
>>                  from /usr/include/gtk-3.0/gtk/gtkwindow.h:33,
>>                  from /usr/include/gtk-3.0/gtk/gtkdialog.h:33,
>>                  from /usr/include/gtk-3.0/gtk/gtkaboutdialog.h:30,
>>                  from /usr/include/gtk-3.0/gtk/gtk.h:31,
>>                  from about_dlg.c:28:
>> /usr/include/gtk-3.0/gtk/gtkwidget.h:787:58: error: identifier "and" is a special operator name in C++ [-Werror=c++-compat]
>> cc1: all warnings being treated as errors
>> make[2]: *** [libgtkui_a-about_dlg.o] Error 1
>>
> Hi,
>
> For me, it is a GTK issue, the problem is gtk header (no in Wireshark
> source code)
Hi,

I have already sent a patch to GTK list:
https://mail.gnome.org/archives/gtk-list/2014-March/msg00019.html

Cheers,
Balint